// JavaScript Document
$(document).ready(function () {
	$('#grupo').ajaxStart(function() {
        jQuery(this).html("<img src='loading.gif'/>")
    });

    $('#grupo').ajaxError(function(e, xhr, opts, error) {
        alert('La petición a la página ' + opts.url + ' ha devuelto el siguiente error: ' + xhr.status + ' - ' + error);
    });


	ver_grupo=function(cod){
		$.ajax({
			type: "POST",
			url: "grupo.php",
			data: "codigo="+cod,
			success: function(datos){
		    $("#grupo").html(datos)
      	}
});
	}
	
	$("#obtener").click(function(){
		alert($("#x").val());
	});
	
});

function cargar_select(elem,settings){
	var $default={
		valor:'', // valor que tiene el select
		idcmp_bloc:[],// ides de los combos que se deben bloquear
		dat_error:'0x',
		classErrorCarga:'campos_error_combo',
		classError:'campos_error',
		classValid:'campos',
		idcmp_afec:'', //ide del campo al cual se van a acrgar nuevos datos en el evento change
		url:'includes/cargar_selec_normal.php',
		data:{
			tb:'' ,
			cmpcnd:'',
			cmps:'',
			selec:'',
			order:'',
			cmpcnd:'', // campo condicion de la consulta en la bd
			grilla:'',  // si se esta haciendo en un formulario  creadopor una grilla
			mos_cod:'',  // si desea mostar el codigo
			cmp_aux:''  // si se tienen campos auxiliares . En caso de tener mas datos ocultos en el combo
		}
	}
	var info = $.extend({}, $default, settings);
	var data = $.extend({}, $default.data, settings.data);
	
	if($(elem).val().trim()=='0x'){
		$(elem).addClass(info.classError).removeClass(info.classValid);
	}else{
		$(elem).addClass(info.classValid).removeClass(info.classError);
	}
	
	if(info.valor!=info.dat_error){
		if(info.idcmp_afec.trim()!='' && data.tb.trim()!=''){
			$("#"+info.idcmp_afec).attr("disabled","disabled")
			$("#"+info.idcmp_afec).addClass(info.classErrorCarga).removeClass(info.classValid);
			$("#"+info.idcmp_afec).empty();
			$.ajax({
				type: "POST",
				url: info.url,
				data:info.data,
				async: true,
				success: function(rta){
					$("#"+info.idcmp_afec).html(rta)
					if(data.selec.trim()!=''){
						$("#"+info.idcmp_afec).addClass(info.classValid).removeClass(info.classErrorCarga);
					}else{
						$("#"+info.idcmp_afec).addClass(info.classError).removeClass(info.classErrorCarga);
					}
					$("#"+info.idcmp_afec).removeAttr("disabled")
				}
			})
		}
	}else{
		$("#"+info.idcmp_afec).empty();
		$("#"+info.idcmp_afec).html("<option value='0x'>Seleccione...</option>")
		$("#"+info.idcmp_afec).addClass(info.classError).removeClass(info.classValid);
	}
	
	if(info.idcmp_bloc.length>0){
		for(i=0;i<info.idcmp_bloc.length;i++){
			$("#"+info.idcmp_bloc[i]).empty();// limpio el combo
			$("#"+info.idcmp_bloc[i]).removeClass(info.classValid);
			$("#"+info.idcmp_bloc[i]).addClass(info.classError);
			$("#"+info.idcmp_bloc[i]).html("<option value='0x'>Seleccione...</option>")
		}
	}
	
}